DB5.3_CHECKPOINT(1)

NAME
db5.3_checkpoint - Periodically checkpoint transactions

SYNOPSIS
db5.3_checkpoint [-1Vv] [-h home] [-k kbytes] [-L file] [-P password] [-p min]

DESCRIPTION
The db5.3_checkpoint utility is a daemon process that monitors the database log, and periodically calls DB_ENV->txn_checkpoint to checkpoint it.

OPTIONS

-1  Checkpoint the log once, regardless of whether or not there has been activity since the last checkpoint and then exit.

-h  Specify a home directory for the database environment; by default, the current working directory is used.

-k  Checkpoint the database at least as often as every kbytes of log file are written.

-L  Log the execution of the db5.3_checkpoint utility to the specified file in the following format, where ### is the process ID, and the date is the time the utility was started.

db_checkpoint: ### Wed Jun 15 01:23:45 EDT 1995

    This file will be removed if the db5.3_checkpoint utility exits gracefully.

-P  Specify an environment password. Although Berkeley DB utilities overwrite password strings as soon as possible, be aware there may be a window of vulnerability on systems where unprivileged users can see command-line arguments or where utilities are not able to overwrite the memory containing the command-line arguments.

-p  Checkpoint the database at least every min minutes if there has been any activity since the last checkpoint.

-V  Write the library version number to the standard output, and exit.

-v  Write the time of each checkpoint attempt to the standard output.

At least one of the -1, -k, and -p options must be specified.

The db5.3_checkpoint utility uses a Berkeley DB environment (as described for the -h option, the environment variable DB_HOME, or because the utility was run in a directory containing a Berkeley DB environment). In order to avoid environment corruption when using a Berkeley DB environment, db5.3_checkpoint should always be given the chance to detach from the environment and exit gracefully. To cause db5.3_checkpoint to release all environment resources and exit cleanly, send it an interrupt signal (SIGINT).

The db5.3_checkpoint utility does not attempt to create the Berkeley DB shared memory regions if they do not already exist. The application that creates the region should be started first, and once the region is created, the db5.3_checkpoint utility should be started.

The DB_ENV->txn_checkpoint method is the underlying method used by the db5.3_checkpoint utility. See the db_checkpoint utility source code for an example of using DB_ENV->txn_checkpoint in a IEEE/ANSI Std 1003.1 (POSIX) environment.

The db5.3_checkpoint utility exits 0 on success, and >0 if an error occurs.

ENVIRONMENT

DB_HOME
    If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home, as described in DB_ENV->open.

AUTHORS
Sleepycat Software, Inc. This manual page was created based on the HTML documentation for db_checkpoint from Sleepycat, by Thijs Kinkhorst <thijs@kinkhorst.com>, for the Debian system (but may be used by others).